分页: 1 / 1

dpkg was interrupted, you must manually run 'dpkg --configu

发表于 : 2007-09-15 9:07
epf00mmr
我执行命令,为老不是出来这个提示,我英语不好。不太认识,请高手指点。谢谢。

发表于 : 2007-09-15 14:24
PhoenixJ
那就按照提示运行一下 sudo dpkg --configure好了。

发表于 : 2007-09-16 0:07
epf00mmr
非常感谢,问题解决了,呵呵。真是高手。

发表于 : 2007-11-14 8:27
饭前洗手
我也遇到了类似的问题,
不过看了解决方法后,也弄好了,
真的是非常感谢2楼的高手,
谢谢!!

Re: dpkg was interrupted, you must manually run 'dpkg --configu

发表于 : 2009-08-08 23:18
yiwenjun
我的问题是出现在执行下列命令时
sudo apt-get install sun-java6-jdk
因为中间给中断了
上面问题解决了,但是我再去执行sudo apt-get install sun-java6-jdk就出现下面情况
yiwenjun@yiwenjun-laptop:~$ sudo apt-get install sun-java6-jdk
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
sun-java6-jdk: 依赖: sun-java6-bin (= 6-14-0ubuntu1.8.10) 但是它将不会被安装
sun-java6-jre: 依赖: sun-java6-bin (= 6-14-0ubuntu1.8.10) 但是它将不会被安装 或
ia32-sun-java6-bin (= 6-14-0ubuntu1.8.10) 但却无法安装它
推荐: gsfonts-x11 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
yiwenjun@yiwenjun-laptop:~$

请问是怎么回事,谢谢

Re: dpkg was interrupted, you must manually run 'dpkg --configu

发表于 : 2009-11-01 22:14
runmouse
我也遇到了这种情况,哪位大牛指导一下

yiwenjun 写了:我的问题是出现在执行下列命令时
sudo apt-get install sun-java6-jdk
因为中间给中断了
上面问题解决了,但是我再去执行sudo apt-get install sun-java6-jdk就出现下面情况
yiwenjun@yiwenjun-laptop:~$ sudo apt-get install sun-java6-jdk
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
sun-java6-jdk: 依赖: sun-java6-bin (= 6-14-0ubuntu1.8.10) 但是它将不会被安装
sun-java6-jre: 依赖: sun-java6-bin (= 6-14-0ubuntu1.8.10) 但是它将不会被安装 或
ia32-sun-java6-bin (= 6-14-0ubuntu1.8.10) 但却无法安装它
推荐: gsfonts-x11 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
yiwenjun@yiwenjun-laptop:~$

请问是怎么回事,谢谢